Automette docs

Extract data

POST
/api/v1/documents/extract

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/documents/extract" \  -H "Content-Type: application/json" \  -d '{    "file": {      "name": "invoice.pdf",      "url": "https://example.com/invoice.pdf"    },    "instructions": "The invoice number, date and total"  }'
{  "data": {},  "pages": {},  "missing": [    "string"  ],  "citations": {},  "credits_used": 0}